BuildRequires: xvfb-run
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Find/Rule.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Locale/Msgfmt.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Net/FTP.pm) perl(PDL.pm) perl(Padre.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_name Padre-Plugin-PDL
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: PDL support for Padre
Group: Development/Perl
License: perl
URL: http://padre.perlide.org/trac/wiki/PadrePluginPDL

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AZ/AZAWAWI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Once enabled, one will automatically get the following features:

=over

=item Context-sensitive help integration

Press F2 to get the help for the current PDL keyword

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%{expand:%%global __find_requires xvfb-run -a %__find_requires}

%files
%doc Changes README
%perl_vendor_privlib/P*
%perl_vendor_privlib/auto/*

%changelog
* Wed Mar 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

